//
//  YGMyScene.m
//  SpriteKit
//
//  Created by Lyle Lee on 2013. 12. 31..
//  Copyright (c) 2013년 Lyle Lee. All rights reserved.
//

#import "YGMyScene.h"
#import "YGGameScene.h"

@implementation YGMyScene

-(id)initWithSize:(CGSize)size {    
    if (self = [super initWithSize:size]) {
        /* Setup your scene here */
        
        self.backgroundColor = [SKColor colorWithRed:0.15 green:0.15 blue:0.3 alpha:1.0];
        
        SKLabelNode *myLabel = [SKLabelNode labelNodeWithFontNamed:@"Chalkduster"];
        
        myLabel.text = @"Hello, World!";
        myLabel.fontSize = 30;
        myLabel.position = CGPointMake(CGRectGetMidX(self.frame),
                                       CGRectGetMidY(self.frame));
        
        [self addChild:myLabel];
    }
    return self;
}

- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
    /* Called when a touch begins */
    for (UITouch *touch in touches) {
        // 화면이 터치되면 게임 Scene을 생성함
        YGGameScene *gameScene = [[YGGameScene alloc] initWithSize:self.size];
        
        // 원하는 전환 효과를 구현함
        SKTransition *doors = [SKTransition doorsOpenVerticalWithDuration:0.5f];
        
        // 다음 화면으로 이동함
        [self.view presentScene:gameScene
                     transition:doors];
    }
}

-(void)update:(CFTimeInterval)currentTime {
    /* Called before each frame is rendered */
}

@end
